/***************************************************************************
 *   Copyright (C) 2008 Robert Keevil                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; under version 2 of the License.         *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
 ***************************************************************************/

#ifndef PROGRESS_H
#define PROGRESS_H

#include "ui_progressWin.h"
#include <QApplication>
#include <QtGui>

class QTScrob;

//static double upnow;
//static double uptot;

class Progress : public QDialog, private Ui::progressWin {
		Q_OBJECT
	private:
		QTScrob *qtscrob;
		QTimer *timer;
		double oldnow;
		double oldtot;
		size_t oldnumtracks;

	public slots:
		void cancel();
		void update_progress();

	signals:
		void newprogress();

	public:
		Progress(QTScrob *parent = 0);
		~Progress();
		size_t totaltracks;

};

#endif
